Last Comment Bug 706900 - Add productID mapping table for processors
: Add productID mapping table for processors
Status: RESOLVED FIXED
:
Product: Socorro
Classification: Server Software
Component: General (show other bugs)
: 2.3
: x86 Mac OS X
: -- normal (vote)
: 2.3.5
Assigned To: [:jberkus] Josh Berkus
: socorro
Mentors:
Depends on:
Blocks: 706612
  Show dependency treegraph
 
Reported: 2011-12-01 10:59 PST by [:jberkus] Josh Berkus
Modified: 2012-01-04 11:32 PST (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description [:jberkus] Josh Berkus 2011-12-01 10:59:10 PST
Create table to hold appid-product mappings for processors.

Needs spec from Lars, hence assigning to him initially.
Comment 1 Laura Thomson :laura 2011-12-01 16:57:20 PST
Going to be called ProductID in the JSON.
Comment 2 [:jberkus] Josh Berkus 2011-12-01 17:58:43 PST
The column "productid" has been added to reports table on DevDB.
Comment 3 [:jberkus] Josh Berkus 2011-12-01 17:59:38 PST
However, this is not the mapping table.  We need to know a few things, see wiki.
Comment 4 Robert Helmer [:rhelmer] 2011-12-14 12:37:13 PST
Josh - do you have all the info you need here now?
Comment 5 Laura Thomson :laura 2011-12-14 12:45:55 PST
Here's the new ProductID for FennecAndroid:
MOZ_APP_ID={aa3c5121-dab2-40e2-81ca-7ea25febc110}

The others can be found here (as "GUID"):
https://addons.mozilla.org/en-US/firefox/pages/appversions/
Comment 6 [:jberkus] Josh Berkus 2011-12-14 12:46:44 PST
yaay, productID.

Ok, the mapping table is done, just waiting to stage this in order to mark it resolved.
Comment 7 [:jberkus] Josh Berkus 2012-01-02 11:37:58 PST
This was deployed with 2.3.5.  Closing now.
Comment 8 Matt Brandt [:mbrandt] 2012-01-03 09:44:06 PST
What are the verification points for qa or is this a [qa-]?
Comment 9 [:jberkus] Josh Berkus 2012-01-04 09:39:35 PST
Matt,

Verify that we're seeing new crashes for FennecAndroid.
Comment 10 [github robot] 2012-01-04 11:32:52 PST
Commits pushed to https://github.com/mozilla/socorro

https://github.com/mozilla/socorro/commit/c5ba7c65027c89c90b70294be3c2730bdf1f4b04
bug 706900 - new required product_productid_map table

https://github.com/mozilla/socorro/commit/a443a06fc07dc4138a5e7e62bc81043587646b5f
Merge pull request #253 from rhelmer/refresh-schema-2.3

bug 706900 - new required product_productid_map table

Note You need to log in before you can comment on or make changes to this bug.